## InlineAsmOperandRef

# Enum InlineAsmOperandRef

Source

    pub enum InlineAsmOperandRef<'tcx, B: BackendTypes + ?Sized> {
        In {
            reg: InlineAsmRegOrRegClass,
            value: OperandRef<'tcx, B::Value>,
        },
        Out {
            reg: InlineAsmRegOrRegClass,
            late: bool,
            place: Option<PlaceRef<'tcx, B::Value>>,
        },
        InOut {
            reg: InlineAsmRegOrRegClass,
            late: bool,
            in_value: OperandRef<'tcx, B::Value>,
            out_place: Option<PlaceRef<'tcx, B::Value>>,
        },
        Const {
            string: String,
        },
        SymFn {
            instance: Instance<'tcx>,
        },
        SymStatic {
            def_id: DefId,
        },
        Label {
            label: B::BasicBlock,
        },
    }

## Variants§

§

### In

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`value: OperandRef<'tcx, B::Value>`
§

### Out

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`late: bool`
§`place: Option<PlaceRef<'tcx, B::Value>>`
§

### InOut

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`late: bool`
§`in_value: OperandRef<'tcx, B::Value>`
§`out_place: Option<PlaceRef<'tcx, B::Value>>`
§

### Const

#### Fields

§`string: String`
§

### SymFn

#### Fields

§`instance: Instance<'tcx>`
§

### SymStatic

#### Fields

§`def_id: DefId`
§

### Label

#### Fields

§`label: B::BasicBlock`

## Trait Implementations§

Source§

### impl<'tcx, B: Debug + BackendTypes + ?Sized> Debug for InlineAsmOperandRef<'tcx, B>
where B::Value: Debug, B::BasicBlock: Debug,

Source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more

## Auto Trait Implementations§

§

### impl<'tcx, B> DynSend for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: DynSend, <B as BackendTypes>::Value: DynSend, B: ?Sized,

§

### impl<'tcx, B> DynSync for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: DynSync, <B as BackendTypes>::Value: DynSync, B: ?Sized,

§

### impl<'tcx, B> Freeze for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: Freeze, <B as BackendTypes>::Value: Freeze, B: ?Sized,

§

### impl<'tcx, B> !RefUnwindSafe for InlineAsmOperandRef<'tcx, B>

§

### impl<'tcx, B> Send for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: Send, <B as BackendTypes>::Value: Send, B: ?Sized,

§

### impl<'tcx, B> Sync for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: Sync, <B as BackendTypes>::Value: Sync, B: ?Sized,

§

### impl<'tcx, B> Unpin for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::BasicBlock: Unpin, <B as BackendTypes>::Value: Unpin, B: ?Sized,

§

### impl<'tcx, B> !UnwindSafe for InlineAsmOperandRef<'tcx, B>

## Blanket Implementations§

Source§

### impl<T> Aligned for T

Source§

#### const ALIGN: Alignment

Alignment of `Self`.
Source§

### impl<T> Any for T
where T: 'static + ?Sized,

Source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
Source§

### impl<T> Borrow<T> for T
where T: ?Sized,

Source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
Source§

### impl<T, R> CollectAndApply<T, R> for T

Source§

#### fn collect_and_apply<I, F>(iter: I, f: F) -> R
where I: Iterator<Item = T>, F: FnOnce(&[T]) -> R,

Equivalent to `f(&iter.collect::<Vec<_>>())`.

Source§

#### type Output = R

Source§

### impl<T> From<T> for T

Source§

#### fn from(t: T) -> T

Returns the argument unchanged.

Source§

### impl<T> Instrument for T

Source§

#### fn instrument(self, span: Span) -> Instrumented<Self>

Instruments this type with the provided `Span`, returning an `Instrumented` wrapper. Read more
Source§

#### fn in_current_span(self) -> Instrumented<Self>

Instruments this type with the current `Span`, returning an `Instrumented` wrapper. Read more
Source§

### impl<T, U> Into<U> for T
where U: From<T>,

Source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

Source§

### impl<T> IntoEither for T

Source§

#### fn into_either(self, into_left: bool) -> Either<Self, Self>

Converts `self` into a `Left` variant of `Either<Self, Self>` if `into_left` is `true`. Converts `self` into a `Right` variant of `Either<Self, Self>` otherwise. Read more
Source§

#### fn into_either_with<F>(self, into_left: F) -> Either<Self, Self>
where F: FnOnce(&Self) -> bool,

Converts `self` into a `Left` variant of `Either<Self, Self>` if `into_left(&self)` returns `true`. Converts `self` into a `Right` variant of `Either<Self, Self>` otherwise. Read more
Source§

### impl<P> IntoQueryParam<P> for P

Source§

#### fn into_query_param(self) -> P

Source§

### impl<T> MaybeResult<T> for T

Source§

#### type Error = !

Source§

#### fn from(_: Result<T, <T as MaybeResult<T>>::Error>) -> T

Source§

#### fn to_result(self) -> Result<T, <T as MaybeResult<T>>::Error>

Source§

### impl<T> Pointable for T

Source§

#### const ALIGN: usize

The alignment of pointer.
Source§

#### type Init = T

The type for initializers.
Source§

#### unsafe fn init(init: <T as Pointable>::Init) -> usize

Initializes a with the given initializer. Read more
Source§

#### unsafe fn deref<'a>(ptr: usize) -> &'a T

Dereferences the given pointer. Read more
Source§

#### unsafe fn deref_mut<'a>(ptr: usize) -> &'a mut T

Mutably dereferences the given pointer. Read more
Source§

#### unsafe fn drop(ptr: usize)

Drops the object pointed to by the given pointer. Read more
Source§

### impl<T> Same for T

Source§

#### type Output = T

Should always be `Self`
Source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

#### type Error = Infallible

The type returned in the event of a conversion error.
Source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
Source§

### impl<I, T, U> Upcast<I, U> for T
where U: UpcastFrom<I, T>,

Source§

#### fn upcast(self, interner: I) -> U

Source§

### impl<I, T> UpcastFrom<I, T> for T

Source§

#### fn upcast_from(from: T, _tcx: I) -> T

Source§

### impl<V, T> VZip<V> for T
where V: MultiLane<T>,

Source§

#### fn vzip(self) -> V

Source§

### impl<Tcx, T> Value<Tcx> for T
where Tcx: DepContext,

Source§

#### default fn from_cycle_error( tcx: Tcx, cycle_error: &CycleError, _guar: ErrorGuaranteed, ) -> T

Source§

### impl<T> WithSubscriber for T

Source§

#### fn with_subscriber<S>(self, subscriber: S) -> WithDispatch<Self>
where S: Into<Dispatch>,

Attaches the provided `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
Source§

#### fn with_current_subscriber(self) -> WithDispatch<Self>

Attaches the current default `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
Source§

### impl<T> ErasedDestructor for T
where T: 'static,

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.